package be.iminds.ilabt.jfed.lowlevel.ssh_key_info;

import be.iminds.ilabt.jfed.util.tmp_file_helpers.TmpFile;

import javax.annotation.Nullable;

/**
 * User: twalcari
 * Date: 5/27/2016
 * Time: 09:44
 */
public interface PuTTYFilesKeyInfo extends SshFilesKeyInfo  {
    boolean canReturnLockedPuttyKeyFile();

    /**
     * file containing private key. may be encrypted. Putty format. never null (on windows).
     */
    TmpFile getPuttyKeyFile();


    /**
     * file containing private key. Putty format.
     */
    @Nullable
    TmpFile getUnlockedPuttyKeyFile();

}
